org.apache.solr.client.solrj.request

## Class UpdateRequestExt

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.AbstractUpdateRequest
    - - org.apache.solr.client.solrj.request.UpdateRequestExt

All Implemented Interfaces:
  Serializable, IsUpdateRequest

    public class UpdateRequestExt
    extends AbstractUpdateRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`AbstractUpdateRequest.ACTION`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`commitWithin, params`

### Constructor Summary

Constructors
Constructor and Description
`UpdateRequestExt()`
`UpdateRequestExt(String url)`

### Method Summary

Methods
`UpdateRequestExt` `add(SolrInputDocument doc)`
`UpdateRequestExt` `add(SolrInputDocument doc, int commitWithin, boolean overwrite)`
`void` `clear()` clear the pending documents and delete commands
`UpdateRequestExt` `deleteById(List<String> ids)`
`UpdateRequestExt` `deleteById(String id)`
`UpdateRequestExt` `deleteById(String id, Long version)`
`UpdateRequestExt` `deleteByQuery(String q)`
`Collection<ContentStream>` `getContentStreams()`
`Map<String,Long>` `getDeleteById()`
`List<String>` `getDeleteQuery()`
`String` `getXML()`
`String` `toString()`
`void` `writeXML(Writer writer)`

### Methods inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`getAction, getCommitWithin, getParams, isWaitSearcher, process, rollback, setAction, setAction, setAction, setAction, setAction, setAction, setCommitWithin, setParam, setParams, setWaitSearcher`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateRequestExt

    public UpdateRequestExt()

#### UpdateRequestExt

    public UpdateRequestExt(String url)

### Method Detail

#### clear

    public void clear()

clear the pending documents and delete commands

#### add

    public UpdateRequestExt add(SolrInputDocument doc)

#### add

    public UpdateRequestExt add(SolrInputDocument doc,
                       int commitWithin,
                       boolean overwrite)

#### deleteById

    public UpdateRequestExt deleteById(String id)

#### deleteById

    public UpdateRequestExt deleteById(String id,
                              Long version)

#### deleteById

    public UpdateRequestExt deleteById(List<String> ids)

#### deleteByQuery

    public UpdateRequestExt deleteByQuery(String q)

#### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

Specified by:
  `getContentStreams` in class `SolrRequest`
Throws:
  `IOException`

#### getXML

    public String getXML()
                  throws IOException

Throws:
  `IOException`

#### writeXML

    public void writeXML(Writer writer)
                  throws IOException

Throws:
  `IOException`

#### getDeleteById

    public Map<String,Long> getDeleteById()

#### getDeleteQuery

    public List<String> getDeleteQuery()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`